﻿@import url(https://fonts.googleapis.com/css?family=Lato:300,400,700,300italic,400italic,700italic);

body {
    /*padding-top: 50px;
    padding-bottom: 20px;*/
    font-family: Lato,"Helvetica Neue", Helvetica, Arial, sans-serif;
}

/* Wrapping element */
/* Set some basic padding to keep content from hitting the edges */
.body-content {
    padding-left: 15px;
    padding-right: 15px;
}

/* Carousel */
.carousel-caption p {
    font-size: 20px;
    line-height: 1.4;
}

/* Make .svg files in the carousel display properly in older browsers */
.carousel-inner .item img[src$=".svg"] {
    width: 100%;
}

/* QR code generator */
#qrCode {
    margin: 15px;
}

/* Hide/rearrange for smaller screens */
@media screen and (max-width: 767px) {
    /* Hide captions */
    .carousel-caption {
        display: none;
    }
}

/*.btn-default {
    background-color: #66A773;
    color: white;
    border: black;
}*/

.btn-action {
    background-color: #66A773;
    color: white;
    border: black;
}


.paddingDiv {
    padding-left: 20px !important;
}

tr.group {
    background-color: #ddd !important;
}

.helpView
{
    font-size : 16px;
}

pre{
    width : 90%;
}

#stringLength {
    display: none;
}
.element{
    margin: 3px;
}
.checkboxStyle{
    margin-top: 3px;
}
.select2 {
    width: 100% !important;
}
.dugme{
    width: 40%;
}

.modalLoader {
    position: fixed;
    left: 0px;
    top: 0px;
    width: 100%;
    height: 100%;
    z-index: 9999;
    background-color: rgba(167, 167, 167, 0.55);
    
}

.loader {
    position:absolute;
    left: 50%;
    margin-left: -50px;
    top: 30vh;
    border: 16px solid #f3f3f3;
    border-radius: 50%;
    border-top: 16px solid #3498db;
    width: 120px;
    height: 120px;
    -webkit-animation: spin 2s linear infinite; /* Safari */
    animation: spin 2s linear infinite;
}


/* Safari */
@-webkit-keyframes spin {
    0% {
        -webkit-transform: rotate(0deg);
    }

    100% {
        -webkit-transform: rotate(360deg);
    }
}

@keyframes spin {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}


.jsonsearch{
    float:right;
    border-radius: 5px;
}
.myfilter {
    margin-left: 0.5em;
    display: inline-block;
    width: auto;
    text-align: right;
    display: block;
}
/*****************LOGIN PAGE***************/
.background {
    background-image: url('../images/af_bg.jpg');
    background-size: cover;
    background-repeat: no-repeat;
    height: 100%;
    font-family: 'Numans', sans-serif;
}

.container {
    height: 100%;
    align-content: center;
}

.cardLogin {
    height: 370px;
    margin-top: auto;
    margin-bottom: auto;
    width: 400px;
    background-color: rgba(0,0,0,0.5) !important;
}
.card-header{
    position:relative;
}
.social_icon span {
    font-size: 60px;
    margin-left: 10px;
    color: white;
}

    .social_icon span:hover {
        color: white;
        cursor: pointer;
    }

.card-header h3 {
    color: white;
}

.social_icon {
    position: absolute;
    right: 20px;
    top: -45px;
}

.input-group-prepend span {
    width: 50px;
    background-color: #c6178d;
    color: white;
    border: 0 !important;
}

input:focus {
    outline: 0 0 0 0 !important;
    box-shadow: 0 0 0 0 !important;
}

.remember {
    color: white;
}

    .remember input {
        width: 20px;
        height: 20px;
        margin-left: 15px;
        margin-right: 5px;
    }

.login_btn {
    color: white;
    background-color: #c6178d;
    width: 100px;
}

    .login_btn:hover {
        color: black;
        background-color: white;
    }

.links {
    color: white;
}

    .links a {
        margin-left: 4px;
    }

#table_div_id.dataTables_filter {
    float: right;
    text-align: right;
}


/*****************CONFIGURATION PAGE***************/

.logo {
    background-color: #6c1b78;
    padding-top: 10px;
    padding-bottom: 10px;
}

.title {
    background-color: #6c1b78;
    line-height: 70px;
    height: 70px;
    text-align: center;
    color: #fff;
}

    .title h4 {
        line-height: 1.5;
        display: inline-block;
        vertical-align: middle;
    }

.row-content {
    padding-top: 10px;
}

.btn-primary {
    background-color: #6A518A;
    border-color: #8D71B4;
}

    .btn-primary:hover {
        background-color: #957eb4;
        border-color: #8D71B4;
    }

    .btn-primary:visited {
        background-color: #957eb4;
        border-color: #8D71B4;
    }


.jsonPanel {
    border: solid 1px #6c1b78;
    border-radius: 15px;
    background-color: white;
    width: auto;
    height: auto;
    color: #858796;
}

pre {
    color: #858796;
    width: 100%;
}

.jsonPanelLive {
    border: solid 1px #6c1b78;
    border-radius: 15px;
    background-color: white;
    width: auto;
    height: auto;
}

.jsonInput {
    width: auto;
    margin-bottom: 1px;
    margin-right: 2px;
    color: #495057;
    background-color: #fff;
    background-clip: border-box;
    border: 1px solid #ced4da;
    border-radius: .25rem;
    transition: border-color .15s ease-in-out,box-shadow .15s ease-in-out;
}

    .jsonInput:focus {
        outline: none !important;
        border: 1px solid #b3e0ff;
        box-shadow: 0 0 10px #719ECE;
    }

.tab {
    padding-left: 14em;
}

.divSave {
    width: 100%;
    margin: auto;
    padding: 8px 20px 8px 40px;
    position: fixed;
    left: 0;
    bottom: 0;
    background-color: #6c1b78;
}

.copy {
    margin-top: 9px;
    text-align: right;
    padding-right: 100px;
    color: #cfcaca;
    font-size: 0.8rem;
}

.divSave button {
    width: 160px;
}


.sliderLabel {
    position: relative;
    left: 278px;
    color: white;
}

.widthSlider {
    position: relative;
    left: 290px;
}



.typeSelect {
    height: 32px;
    border: solid 1px #007bff;
    margin-right: 5px;
    border-radius: 5px;
    padding-bottom: 3px;
    color: #007bff;
}

.errorInputDisplay {
    border-color: red;
    border-width: 2px;
}

button {
    margin-left: 2px;
    margin-right: 2px;
}


.btnDelete {
    background-color: DodgerBlue;
    border: none;
    color: white;
    font-size: 8px;
    cursor: pointer;
    margin-bottom: 1px;
}

    .btnDelete:hover {
        background-color: RoyalBlue;
    }

label {
    cursor: pointer;
    z-index: 1000;
}

a {
    text-decoration: none !important;
}


.tagLabel {
    border: none;
    background: none;
}

    .tagLabel :hover {
        color: black;
        border: none;
        background: none;
    }

    .tagLabel :visited {
        color: black;
        border: none;
        background: none;
    }

    .tagLabel :active {
        color: black;
        border: none;
        background: none;
    }


pre {
    margin: 5px;
}

.string {
    color: green;
}

.number {
    color: darkorange;
}

.boolean {
    color: blue;
}

.null {
    color: magenta;
}

.key {
    color: red;
}

.central-div {
    border: 1px solid #e3e6f0;
    background-color: #f8f9fc;
    border-radius: 5px;  
}

.mark-deleted {
    color: black;
    background-color: #f2f2f2;
    text-decoration: line-through;
}

.deleted {
    text-decoration: line-through;
    cursor: default;
}

.mark-error {
    color: black;
    background-color: #f2f2f2;
}

.disabled-div {
    pointer-events: none;
    opacity: 0.9;
}

.full {
    margin-left: 35px;
    margin-right: 35px;
}
/*****************CONFIGURATION PAGE***************/

.a-disabled {
    color: #ffffff !important;
    opacity: 0.65;
}
    .a-disabled:hover {
        background-color: #6A518A !important;
        opacity: 0.65;
    }

/*****************FILTER MESSAGE***************/

.filter-export {
    border-radius: 10px;
    background-color: #f8f9fc;
    padding: 10px;
    margin-bottom: 10px;
}

/***************** BOOTBOX CUSTOM ***************/


.bootbox .modal-dialog {
    margin-bottom: 0px;
    margin-top: 0px;
}

.bootbox .modal-content {
    max-height: 100vh;
}

.bootbox .modal-body {
    max-height: 100vh;
    overflow: hidden auto;
}

/***************** ERROR SEARCH BY APP ***************/

.card-for-dropdown {
    padding-top: 10px;
    width: 300px;
}

.email-counter {
    display: flex;
    flex-direction: row;
    align-items:center;
}

.trash {
    display: flex;
    flex-direction: row;
    align-items: center;
    margin-bottom: 10px;
}

.restart {
    position: absolute;
    right: 25px;
    cursor: pointer;
    color: #6c1b78;
    font-size: 16pt;
}

    .restart :hover {
        color: #858796;
    }

.element-sort {
    display: flex;
    flex-direction: row;
    grid-gap: 10px;
}

.dropdown-entity {
    display: flex;
    flex-direction: row;
    grid-gap: 20px;
    align-content: center;
    align-items:center;

    padding-top: 0px;
    width: 100% !important;
}

.card-for-dropdown-right{
    margin-right: auto;
    width: auto;
}

.card-for-dropdown-right-after{
    margin-top: 30px;
    margin-right: auto;
    width: auto;
}

.filter-text {
    display: block;
    padding-top: 10px;
}

/**added file upload data button and label*/
.custom-file {
    position: relative;
    display: inline-block;
    width: 100%;
    height: 40px;
    margin-bottom: 0;
}

.custom-file-input {
    position: relative;
    z-index: 2;
    width: 100%;
    height: 40px;
    margin: 0;
    opacity: 0;
}

.custom-file-label {
    position: absolute;
    top: 0;
    right: 0;
    left: 0;
    z-index: 1;
    height: 40px;
    padding: .375rem .75rem;
    font-weight: 400;
    line-height: 2;
    color: #495057;
    background-color: #fff;
    border: 1px solid #ced4da;
    border-radius: .25rem;
}

    .custom-file-label::after {
        position: absolute;
        top: 0;
        right: 0;
        bottom: 0;
        z-index: 3;
        display: block;
        height: 38px;
        padding: .375rem .75rem;
        line-height: 2;
        color: #495057;
        content: "Browse";
        background-color: #e9ecef;
        border-left: inherit;
        border-radius: 0 .25rem .25rem 0;
    }

/**integration*/

.integration-type{
    border: 1px solid #d0cfcf;
    padding: 10px 10px 0px 10px;
    border-radius: 10px;
    margin-bottom: 10px;
}

.select-integration {
    display: flex;
    flex-direction: row;
    align-items: center;
}

.change-panel {
    padding-top: 15px;
    display: flex;
    flex-direction: row;
}

.panel-btn{
    width: 100%;
}

/**/
.collapsible-link {
    width: 100%;
    position: relative;
    text-align: left;
    background-color: #ececec !important;
}

    .collapsible-link::before {
        content: '\f107';
        position: absolute;
        top: 50%;
        right: 0.8rem;
        transform: translateY(-50%);
        display: block;
        font-family: 'FontAwesome';
        font-size: 1.1rem;
    }

    .collapsible-link[aria-expanded='true']::before {
        content: '\f106';
    }

.integration-select {
    padding-top: 0px;
    width: 300px;
    float: left;
}

@media only screen and (max-width: 576px) {
    .li-display {
        display: none;
    }
}

.podesiSirinu {
    width: 300px !important;
}
@media only screen and (max-width: 768px) {
    .podesiSirinu {
        width: 220px !important;
    }
}


.input-error{
    border-color: red;
}

.active-alert {
    background-color: rgba(108, 27, 120, 0.20);
}

.dropdown-header-af {
    background-color: #6c1b78;
}

.search-delete {
    cursor: default;
    padding-top: 5px;
    padding-left: 5px;
    font-size: 0.875rem;
    color: #3b63a6;
    font-weight: 400;
    width: 19px;
    background-color: white;
    margin-top:1px;
}

.box-wrap {
    white-space: pre-wrap; /* Since CSS 2.1 */
    white-space: -moz-pre-wrap; /* Mozilla, since 1999 */
    white-space: -pre-wrap; /* Opera 4-6 */
    white-space: -o-pre-wrap; /* Opera 7 */
    word-wrap: break-word; /* Internet Explorer 5.5+ */
}

.h-70{
    height:70vh;
}

 .pointer{
    cursor:pointer;  
}

.add-btn {
    margin-top:35px;
    text-align:center;
}

.overflow-init {
    overflow-y: initial !important;
}
.overflow-auto {
    overflow-y: auto;
}
.clear-btn {
    display: block;
    width: 100%;
    height: calc(1.5em + 0.75rem + 2px);
    padding: 0.375rem 0.75rem;
    font-size: 1rem;
    font-weight: 400;
    line-height: 1.5;
    margin-top: 2rem;
    text-align: left;
}